char myArray[] = {72,101,108,108,111,32,87,111,114,108,100,33,10,0};
unsigned char ucharVAR;
short shortVAR = 0x8000;
unsigned short ushortVAR;
long longVAR = 0xFFFFFFFF;
unsigned long ulongVAR;
float floatVAR = 3.141592;

void setup() {
   Serial.begin(115200);
}

void loop() {
  Serial.println(F("\"bool,char,short,long,int,float\" reserved bytes: "));
  Serial.println(sizeof(bool));
  Serial.println(sizeof(char));
  Serial.println(sizeof(short));
  Serial.println(sizeof(long));
  Serial.println(sizeof(int));
  Serial.println(sizeof(float));

  Serial.print(F("shortVAR = "));
  Serial.println(shortVAR,DEC);
  Serial.print(F("ushortVAR = "));
  ushortVAR =(unsigned long)shortVAR;
  Serial.println(ushortVAR,DEC);
  
  Serial.print(F("longVAR = "));
  Serial.println(longVAR,DEC);
  Serial.print(F("ulongVAR = "));
  ulongVAR =(unsigned long)longVAR;
  Serial.println(ulongVAR,DEC);

  Serial.print(myArray);
  Serial.print(F("1st array element (usigned char datatype) = "));
  Serial.println((unsigned char)myArray[0]);
  Serial.println(floatVAR);
  Serial.println(floatVAR,6);
  Serial.println((int)floatVAR);
  
  Serial.println(""); 
  delay(3000);
}
