#include "__CH2_functions.h"
#define complement(x) ( (x^0xFF)+1 )

char myArray[20];         // hold user-defined numeric string
unsigned char number;     // hold the binary value of the numeric string


void setup() {
   Serial.begin(115200); 
}


void loop() {
 int i; 

  Serial_ReadNumericString(myArray);
  
  number = NumericString_toBin(myArray);
  Serial.write(number); 

  if (number & B10000000) {
    Serial.print('-');
  }
  else if (number == 0) {
  }
  else {
    Serial.write('+'); 
  }
  
  number = Negative_toPositive(number); 

  Binary_toBCD (myArray, number);

  i = BCD_toASCII(myArray);
  
  do {
    Serial.write(myArray[--i]);
  } while(i);

  Serial.write(number);
  number = complement(number);
  Serial.write(number);
}
